> ## Documentation Index
> Fetch the complete documentation index at: https://developer.valuechecker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Specific Appraisal



## OpenAPI

````yaml get /client_reference/{client_reference_id}/appraisal/{appraisal_id}
openapi: 3.0.0
info:
  title: ValueChecker API
  description: The ValueChecker Application Programming Interface.
  version: 0.150.1
  x-logo:
    url: >-
      https://files.valuechecker.net/images/default-category-images/Value-Checker_top_bar_logo.png
    backgroundColor: '#FFFFFF'
    altText: ValueChecker logo
  contact:
    name: Contact
    url: https://www.valuechecker.net/contact/
    email: support@valuechecker.net
servers:
  - url: https://api.valuechecker.net/
    description: ValueChecker API URL.
security:
  - apiKey: []
tags:
  - name: default
externalDocs:
  description: PDF Documentation (official)
  url: https://www.valuechecker.net/docs/api/pdf
paths:
  /client_reference/{client_reference_id}/appraisal/{appraisal_id}:
    get:
      tags:
        - default
      summary: Get Specific Appraisal
      parameters:
        - $ref: '#/components/parameters/client_reference_id'
        - $ref: '#/components/parameters/appraisal_id'
        - $ref: '#/components/parameters/client_id'
        - $ref: '#/components/parameters/session-id'
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Tue, 25 Jul 2023 11:54:40 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Content-Length:
              schema:
                type: integer
                example: '1117'
            Connection:
              schema:
                type: string
                example: keep-alive
            x-request-id:
              schema:
                type: string
                example: 33fb2b11-220f-4f60-9cc8-218d34985d81
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Appraisal'
                type: object
              example:
                appraisal_id: 97773
                client_reference_id: 9337
                cpid: 1262828314
                rpid: 1263096838
                create_time: '2023-07-25 13:54:37'
                update_time: '2023-07-25 13:54:37'
                cp_name_cart: Apple iPhone 14 Pro Max 1TB
                rp_name_cart: Apple iPhone 14 Pro Max 1024GB (2022)
                cp_pic_url: https://img.valuechecker.net/,---.jpg
                rp_pic_url: https://img.valuechecker.net/,---.jpg
                item_quantity: 1
                replacement_cost_value: 1684.99
                date_damage: '2024-05-07'
                date_purchase: '2024-05-01'
                cp_price_estimate: 1000
                claimed_amount: 1000
                rp_price_date: '2023-07-25 11:07:41'
                homepage_client_category_id: 2740
                selected_client_category_id: 2740
                shop_name: Amazon UK
                shop_url: https://offer.valuechecker.net/kihxRTjWvGNjq4Dj7CKanf
                is_compensation_based_on_claimed_amount: false
                depr_extra_one_year_no_receipt: false
                offer_id: 228246862
                appraisal_status_id: 2
        '401':
          $ref: '#/components/responses/401'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  event_code:
                    type: string
                  event_dict:
                    type: object
                    properties:
                      event_severity:
                        type: string
                      title:
                        type: string
                      description:
                        type: string
              example:
                error: Appraisal id 239055 was not found
                event_code: ERNFAP
                event_dict:
                  event_severity: ERROR
                  title: Wrong "appraisal_id" value
                  description: The appraisal_id "239055" was not found
components:
  parameters:
    client_reference_id:
      name: client_reference_id
      in: path
      schema:
        type: integer
      required: true
      description: The client reference identifier.
      example: '9337'
    appraisal_id:
      name: appraisal_id
      in: path
      schema:
        type: integer
      required: true
      description: The appraisal identifier.
      example: '97771'
    client_id:
      name: client_id
      in: query
      schema:
        type: integer
      example: '10'
      description: >-
        The client ID for the request. It's required if you have access to
        multiple clients with your API key. Otherwise, it's optional.
    session-id:
      name: session-id
      in: query
      schema:
        type: string
      example: a1b2c3d4e5f6g7h8i9j0
      description: Optional session identifier of the user.
  schemas:
    Appraisal:
      type: object
      properties:
        appraisal_id:
          type: integer
        client_reference_id:
          type: integer
        cpid:
          type: integer
        rpid:
          type: integer
        create_time:
          type: string
        update_time:
          type: string
        cp_name_cart:
          type: string
        rp_name_cart:
          type: string
        cp_pic_url:
          type: string
        rp_pic_url:
          type: string
        item_quantity:
          type: integer
        replacement_cost_value:
          type: number
          multipleOf: 0.01
        date_damage:
          type: string
          format: date
          description: The date of the submitted damage for this product.
        date_purchase:
          type: string
          format: date
          description: The date of purchase as reported by the claimant.
        claimed_amount:
          type: number
          multipleOf: 0.01
          description: The claimed amount for the appraisal reported by the claimant.
        rp_price_date:
          type: string
        homepage_client_category_id:
          type: integer
        selected_client_category_id:
          type: integer
        shop_name:
          type: string
        shop_url:
          type: string
        is_acv_cp_price_estimate_based:
          type: boolean
          deprecated: true
          description: >-
            Use 'is_compensation_based_on_claimed_amount' instead. This field
            will be removed in a future version.
        is_compensation_based_on_claimed_amount:
          type: boolean
          description: >-
            Base the ACV calculation on the value from `claimed_amount`
            (Purchase Price / Repair) instead of Replacement Cost.
        depr_extra_one_year_no_receipt:
          type: boolean
        offer_id:
          type: integer
        appraisal_status_id:
          type: integer
          description: The ID of the assigned appraisal status.
        attachments:
          type: array
          description: Accessible through attachments parameter.
          items:
            $ref: '#/components/schemas/AppraisalAttachments'
    AppraisalAttachments:
      type: object
      properties:
        file_name:
          type: string
        url:
          type: string
        type:
          type: string
        update_time:
          type: string
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              event_code:
                type: string
              event_dict:
                type: object
                properties:
                  event_severity:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
          example:
            error: Invalid Authorization header
            event_code: ERIT00
            event_dict:
              event_severity: ERROR
              title: Invalid Authorization header
              description: Please provide the right authorization token
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Note! Prefix your <api-key> with `apiKey `. Note the space after "apiKey
        ".

````